Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLTree

`java.lang.Object
oracle.jdeveloper.html.HTMLElement
oracle.jdeveloper.html.DHTMLElement
oracle.jdeveloper.html.DHTMLElementContainer
oracle.jdeveloper.html.HTMLScript
oracle.jdeveloper.html.DHTMLTree`

Direct Known Subclasses:
  JSTree

public class DHTMLTree
extends HTMLScript

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `dataSource`
`protected java.lang.String` | `folderClosedImage`
`protected java.lang.String` | `folderOpenImage`
`protected java.lang.String` | `name`
`protected java.lang.String` | `refName`
`protected java.lang.String` | `targetFrame`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLTree()`
`DHTMLTree(java.lang.String name)`

Method Summary
`java.lang.String` | `getDataSource()`
`java.lang.String` | `getFolderClosedImage()`
`java.lang.String` | `getFolderOpenImage()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRefName()`
`java.lang.String` | `getTargetFrame()`
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setDataSource(java.lang.String dataSource)`
`void` | `setFolderClosedImage(java.lang.String image)`
`void` | `setFolderOpenImage(java.lang.String image)`
`void` | `setName(java.lang.String name)`
`void` | `setRefName(java.lang.String refName)`
`void` | `setTargetFrame(java.lang.String targetFrame)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, quote, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### refName

    protected java.lang.String refName

### targetFrame

    protected java.lang.String targetFrame

### dataSource

    protected java.lang.String dataSource

### folderOpenImage

    protected java.lang.String folderOpenImage

### folderClosedImage

    protected java.lang.String folderClosedImage

Constructor Detail

### DHTMLTree

    public DHTMLTree()

### DHTMLTree

    public DHTMLTree(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setRefName

    public void setRefName(java.lang.String refName)

### getRefName

    public java.lang.String getRefName()

### setTargetFrame

    public void setTargetFrame(java.lang.String targetFrame)

### getTargetFrame

    public java.lang.String getTargetFrame()

### setDataSource

    public void setDataSource(java.lang.String dataSource)

### getDataSource

    public java.lang.String getDataSource()

### setFolderOpenImage

    public void setFolderOpenImage(java.lang.String image)

### getFolderOpenImage

    public java.lang.String getFolderOpenImage()

### setFolderClosedImage

    public void setFolderClosedImage(java.lang.String image)

### getFolderClosedImage

    public java.lang.String getFolderClosedImage()

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    `renderContainerHeader` in class `HTMLScript`

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    `renderContainerFooter` in class `HTMLScript`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.